PEXPAND(1)

NAME
pexpand - expand requested commands in metafile

SYNOPSIS
pexpand [ +/-EPDOCSURIlrtmvsp ] file ..

DESCRIPTION
Pexpand reads each metafile file in sequence and expands any commands specified in a '+' option, and deletes any commands specified in a '-' option. This is necessary because most drivers will not support many metafile commands such as 'v' (vector string) and 'O', 'C', and 's' (segments). Pexpand will expand '+' instances into the corresponding primitives which are supported, and delete all '-' instances.

Certain commands are currently considered basic, and must be supported by all drivers. The commands 'D', 'E', 'S', 'U', 'R', 'l', 'r', and 't' are basic (see metafile(5)).

If no input files are specified, the standard input is read.

+EPDOCSURIlrtmvsp
    Expand the requested command(s).

-EPDOCSURIlrtmvsp
    Delete the requested command(s).

EXAMPLE
To expand vector strings and segements, and delete pauses from "meta":

    pexpand +vOCs -P meta

FILES
/usr/lib/meta/vchars.mta (see metafile(5))

AUTHOR
Greg Ward

SEE ALSO
metafile(5), psort(1)